Skala
Work order operation logs

Create a new work order operation log

Adds a new work order operation log record to the database.

POST
/api/work_order_operation_logs

Adds a new work order operation log record to the database.

AuthorizationBearer <token>

In: header

Request Body

application/json

The new WorkOrderOperationLog resource

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://api.skalasuite.com/api/work_order_operation_logs" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": 0,
  "workOrder": "/entity/1",
  "operation": "/entity/1",
  "startDate": "2019-08-24T14:15:22Z",
  "endDate": "2019-08-24T14:15:22Z",
  "startByUser": "/entity/1",
  "endByUser": "/entity/1",
  "duration": 0,
  "resource": "/entity/1",
  "plannedDuration": 0,
  "plannedCost": 0,
  "actualCost": 0,
  "company": "/entity/1",
  "startByUserFullName": "string",
  "endByUserFullName": "string",
  "createdBy": "/entity/1",
  "updatedBy": "/entity/1",
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z",
  "deletedAt": "2019-08-24T14:15:22Z"
}
Empty
Empty